package com.ruoyi.care.mapper;

import java.util.List;
import com.ruoyi.care.domain.CareCompanies;

/**
 * 护理公司Mapper接口
 * 
 * @author qy
 * @date 2024-11-26
 */
public interface CareCompaniesMapper 
{
    /**
     * 查询护理公司
     * 
     * @param companyId 护理公司主键
     * @return 护理公司
     */
    public CareCompanies selectCareCompaniesByCompanyId(Long companyId);

    /**
     * 查询护理公司列表
     * 
     * @param careCompanies 护理公司
     * @return 护理公司集合
     */
    public List<CareCompanies> selectCareCompaniesList(CareCompanies careCompanies);

    /**
     * 新增护理公司
     * 
     * @param careCompanies 护理公司
     * @return 结果
     */
    public int insertCareCompanies(CareCompanies careCompanies);

    /**
     * 修改护理公司
     * 
     * @param careCompanies 护理公司
     * @return 结果
     */
    public int updateCareCompanies(CareCompanies careCompanies);

    /**
     * 删除护理公司
     * 
     * @param companyId 护理公司主键
     * @return 结果
     */
    public int deleteCareCompaniesByCompanyId(Long companyId);

    /**
     * 批量删除护理公司
     * 
     * @param companyIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCareCompaniesByCompanyIds(Long[] companyIds);
}
